// _TimeMonitor_EOArchive_Swedish.java
// Generated by EnterpriseObjects palette at onsdag, april 03, 2002 14:25:31 Europe/Stockholm

import com.webobjects.eoapplication.*;
import com.webobjects.eocontrol.*;
import com.webobjects.eodistribution.client.*;
import com.webobjects.eointerface.*;
import com.webobjects.eointerface.swing.*;
import com.webobjects.foundation.*;
import java.awt.*;
import javax.swing.*;
import javax.swing.border.*;
import javax.swing.table.*;
import javax.swing.text.*;

public class _TimeMonitor_EOArchive_Swedish extends com.webobjects.eoapplication.EOArchive {
    com.webobjects.eointerface.swing.EOFrame _eoFrame0;
    com.webobjects.eointerface.swing.EOTextField _nsTextField0;
    com.webobjects.eointerface.swing.EOView _nsProgressIndicator0;
    javax.swing.JPanel _nsView0;

    public _TimeMonitor_EOArchive_Swedish(Object owner, NSDisposableRegistry registry) {
        super(owner, registry);
    }

    protected void _construct() {
        Object owner = _owner();
        EOArchive._ObjectInstantiationDelegate delegate = (owner instanceof EOArchive._ObjectInstantiationDelegate) ? (EOArchive._ObjectInstantiationDelegate)owner : null;
        Object replacement;

        super._construct();


        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "gaugeView")) != null)) {
            _nsProgressIndicator0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOView)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsProgressIndicator0");
        } else {
            _nsProgressIndicator0 = (com.webobjects.eointerface.swing.EOView)_registered(new com.webobjects.eointerface.swing.EOView(), "1");
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "titleTextField")) != null)) {
            _nsTextField0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOTextField)replacement;
            _replacedObjects.setObjectForKey(replacement, "_nsTextField0");
        } else {
            _nsTextField0 = (com.webobjects.eointerface.swing.EOTextField)_registered(new com.webobjects.eointerface.swing.EOTextField(), "");
        }

        if ((delegate != null) && ((replacement = delegate.objectForOutletPath(this, "window")) != null)) {
            _eoFrame0 = (replacement == EOArchive._ObjectInstantiationDelegate.NullObject) ? null : (com.webobjects.eointerface.swing.EOFrame)replacement;
            _replacedObjects.setObjectForKey(replacement, "_eoFrame0");
        } else {
            _eoFrame0 = (com.webobjects.eointerface.swing.EOFrame)_registered(new com.webobjects.eointerface.swing.EOFrame(), "Panel");
        }

        _nsView0 = (JPanel)_eoFrame0.getContentPane();
    }

    protected void _awaken() {
        super._awaken();

        if (_replacedObjects.objectForKey("_eoFrame0") == null) {
            _connect(_eoFrame0, _owner(), "delegate");
        }

        if (_replacedObjects.objectForKey("_nsProgressIndicator0") == null) {
            _connect(_owner(), _nsProgressIndicator0, "gaugeView");
        }

        if (_replacedObjects.objectForKey("_eoFrame0") == null) {
            _connect(_owner(), _eoFrame0, "window");
        }

        if (_replacedObjects.objectForKey("_nsTextField0") == null) {
            _connect(_owner(), _nsTextField0, "titleTextField");
        }
    }

    protected void _init() {
        super._init();

        if (_replacedObjects.objectForKey("_nsTextField0") == null) {
            _setFontForComponent(_nsTextField0, "Lucida Grande", 12, Font.PLAIN);
            _nsTextField0.setEditable(false);
            _nsTextField0.setOpaque(false);
            _nsTextField0.setText("Titel");
            _nsTextField0.setHorizontalAlignment(javax.swing.JTextField.CENTER);
            _nsTextField0.setSelectable(false);
            _nsTextField0.setEnabled(true);
            _nsTextField0.setBorder(null);
        }

        if (!(_nsView0.getLayout() instanceof EOViewLayout)) { _nsView0.setLayout(new EOViewLayout()); }
        _nsTextField0.setSize(234, 19);
        _nsTextField0.setLocation(-7, 19);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsTextField0, EOViewLayout.MinYMargin);
        _nsView0.add(_nsTextField0);
        _nsProgressIndicator0.setSize(203, 12);
        _nsProgressIndicator0.setLocation(9, 1);
        ((EOViewLayout)_nsView0.getLayout()).setAutosizingMask(_nsProgressIndicator0, EOViewLayout.MinYMargin);
        _nsView0.add(_nsProgressIndicator0);

        if (_replacedObjects.objectForKey("_eoFrame0") == null) {
            _nsView0.setSize(220, 40);
            _eoFrame0.setTitle("");
            _eoFrame0.setLocation(488, 622);
            _eoFrame0.setSize(220, 40);
        }
    }
}
